Package org.apache.sis.coverage

# Class SubspaceNotSpecifiedException

Object
Throwable
Exception
RuntimeException
CannotEvaluateException
SubspaceNotSpecifiedException

All Implemented Interfaces:
  `Serializable`

public class SubspaceNotSpecifiedException extends CannotEvaluateException
Thrown when an operation can only be applied on a subspace of a multi-dimensional coverage, but not such subspace has been specified. For example if a `GridCoverage` has three or more dimensions, then a two-dimensional slice must be specified in order to produce a `RenderedImage` from that grid coverage.

Since:
  1.0
See Also:
  - Linear subspace on Wikipedia
  - Serialized Form

Defined in the `sis-feature` module

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubspaceNotSpecifiedException()`
  Constructs an exception with no detail message.
  `SubspaceNotSpecifiedException(String message)`
  Constructs an exception with the specified detail message.
  `SubspaceNotSpecifiedException(String message, Throwable cause)`
  Constructs an exception with the specified detail message and cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SubspaceNotSpecifiedException

    public SubspaceNotSpecifiedException()
    Constructs an exception with no detail message.

  - ### SubspaceNotSpecifiedException

    public SubspaceNotSpecifiedException(String message)
    Constructs an exception with the specified detail message.
    Parameters:
      `message` - the detail message.

  - ### SubspaceNotSpecifiedException

    public SubspaceNotSpecifiedException(String message, Throwable cause)
    Constructs an exception with the specified detail message and cause.
    Parameters:
      `message` - the detail message.
      `cause` - the cause for this exception.